Subject: Re: [PATCH v1 1/2] t0027: Correct raciness in NNO test

From: Junio C Hamano <[email-masked]>
Date: Sun, 14 Aug 2016 13:37:17 -0700

Torsten Bögershausen <[email-masked]> writes:

> Looking at t0027, it turns out that the changes in the test matrix done in 1/2
> are reverted in 2/2.
> This is not a good thing.
> Either (a) they should be marked as test_expect_failure in 1/2 and
> corrected in 2/2,
> or (b) 1/2 and 2/2 are squashed together and the noise in t0027 is minimal.

Probably (a) is a bit more kosher and useful when somebody wants to
inspect the history of the test ("the test was flaky and that hid a
few bugs, but we fix the timing-dependency which exposes the bugs"
in 1/2, "this is the fix for the bug that the previous one exposed"
in 2/2).  (b) might be a bit less work, though.